summaryrefslogtreecommitdiff
path: root/tests/cp/preserve-mode.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/preserve-mode.sh')
-rwxr-xr-xtests/cp/preserve-mode.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/cp/preserve-mode.sh b/tests/cp/preserve-mode.sh
index dc97cbaa0..e1096f5d6 100755
--- a/tests/cp/preserve-mode.sh
+++ b/tests/cp/preserve-mode.sh
@@ -26,7 +26,7 @@ touch b
chmod 600 b
#regular file test
-cp --no-preserve=mode b c
+cp --no-preserve=mode b c || fail=1
mode_a=$(ls -l a | gawk '{print $1}')
mode_c=$(ls -l c | gawk '{print $1}')
test "$mode_a" = "$mode_c" || fail=1
@@ -36,7 +36,7 @@ mkdir d1 d2
chmod 705 d2
#directory test
-cp --no-preserve=mode -r d2 d3
+cp --no-preserve=mode -r d2 d3 || fail=1
mode_d1=$(ls -l d1 | gawk '{print $1}')
mode_d3=$(ls -l d3 | gawk '{print $1}')
test "$mode_d1" = "$mode_d3" || fail=1
@@ -46,7 +46,7 @@ touch a
chmod 600 a
#contradicting options test
-cp --no-preserve=mode --preserve=all a b
+cp --no-preserve=mode --preserve=all a b || fail=1
mode_a=$(ls -l a | gawk '{print $1}')
mode_b=$(ls -l b | gawk '{print $1}')
test "$mode_a" = "$mode_b" || fail=1